File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxbackend.c File Reference

`#include "dmxinputinit.h"`
`#include "dmxbackend.h"`
`#include "dmxcommon.h"`
`#include "dmxconsole.h"`
`#include "dmxcursor.h"`
`#include "dmxprop.h"`
`#include "dmxsync.h"`
`#include "dmxcb.h"`
`#include "dmxevents.h"`
`#include "ChkNotMaskEv.h"`
`#include "inputstr.h"`
`#include "input.h"`
`#include "keysym.h"`
`#include "mipointer.h"`
`#include "scrnintstr.h"`
`#include "windowstr.h"`

## Data Structures
struct | _myPrivate
## Functions
pointer | dmxBackendCreatePrivate (DeviceIntPtr pDevice)
void | dmxBackendDestroyPrivate (pointer private)
void | dmxBackendUpdatePosition (pointer private, int x, int y)
void | dmxBackendCollectEvents (DevicePtr pDev, dmxMotionProcPtr motion, dmxEnqueueProcPtr enqueue, dmxCheckSpecialProcPtr checkspecial, DMXBlockType block)
void | dmxBackendProcessInput (pointer private)
void | dmxBackendLateReInit (DevicePtr pDev)
void | dmxBackendInit (DevicePtr pDev)
void | dmxBackendMouGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
void | dmxBackendKbdGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
int | dmxBackendFunctions (pointer private, DMXFunctionType function)

## Detailed Description

These routines support taking input from devices on the backend (output) displays.

See also:
  dmxcommon.c.

## Function Documentation

void dmxBackendCollectEvents | ( | DevicePtr | pDev,
|  | dmxMotionProcPtr | motion,
|  | dmxEnqueueProcPtr | enqueue,
|  | dmxCheckSpecialProcPtr | checkspecial,
|  | DMXBlockType | block
| ) |

| Get events from the X queue on the backend servers and put the events into the DMX event queue.

pointer dmxBackendCreatePrivate | ( | DeviceIntPtr | pDevice | ) |

| Create and return a private data structure.

void dmxBackendDestroyPrivate | ( | pointer | private | ) |

| Destroy the private data structure. No checking is performed to verify that the structure was actually created by dmxBackendCreatePrivate.

int dmxBackendFunctions | ( | pointer | private,
|  | DMXFunctionType | function
| ) |

| Process #DMXFunctionType functions. The only function handled here is to acknowledge a pending server shutdown.

void dmxBackendInit | ( | DevicePtr | pDev | ) |

| Initialized the backend device described by pDev.

void dmxBackendKbdGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Get information about the backend keyboard (for initialization).

void dmxBackendLateReInit | ( | DevicePtr | pDev | ) |

| Re-initialized the backend device described by pDev (after a reconfig).

void dmxBackendMouGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Get information about the backend pointer (for initialization).

void dmxBackendProcessInput | ( | pointer | private | ) |

| Called after input events are processed from the DMX queue. No event processing actually takes place here, but this is a convenient place to update the pointer.

void dmxBackendUpdatePosition | ( | pointer | private,
|  | int | x,
|  | int | y
| ) |

| This routine is called from #dmxCoreMotion for each motion event. #x and #y are global coordinants.